## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name readme_renderer
%global pkg_name readme-renderer

Name:           python-%{pkg_name}
Version:        43.0
Release:        %autorelease
Summary:        Library for rendering "readme" descriptions for Warehouse

License:        Apache-2.0
URL:            https://github.com/pypa/readme_renderer
Source:         %{pypi_source %{pypi_name}}
# pytest-icdiff not packaged and not essential
Patch:          readme_renderer-rm_unneeded_test_deps.diff

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel

%global _description %{expand:
Readme Renderer Readme Renderer is a library that will safely render arbitrary
README files into HTML. It is designed to be used in Warehouse_ to render the
long_description for packages. It can handle Markdown, reStructuredText (.rst),
and plain text.}

%description %{_description}

%package -n     python%{python3_pkgversion}-%{pkg_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pkg_name} %{_description}

%pyproject_extras_subpkg -n python%{python3_pkgversion}-%{pkg_name} md


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t -x md
 

%build
%pyproject_wheel
 

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pyproject_check_import
%pytest -v tests
# -k "not test_md_fixtures"
 

%files -n python%{python3_pkgversion}-%{pkg_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Mon Aug 26 2024 Michel Lind <salimma@fedoraproject.org> - 43.0-1
- Update to version 43.0
- Package extra 'md' subpackage
- Fixes: RHBZ#2307985

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 37.2-10
- convert ASL 2.0 license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 37.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 37.2-8
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 37.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 37.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 37.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 37.2-4
- Rebuilt for Python 3.12

* Thu Feb 02 2023 Karolina Surma <ksurma@redhat.com> - 37.2-3
- Fix tests failures with Pygments 2.14

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 37.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 26 2022 Fabian Affolter <mail@fabian-affolter.ch> - 37.2-1
- Update to latest upstream release 37.2 (closes rhbz#2129627)

* Wed Sep 14 2022 Fabian Affolter <mail@fabian-affolter.ch> - 37.1-1
- Update to latest upstream release 37.1 (closes rhbz#2120226)

* Fri Aug 19 2022 Fabian Affolter <mail@fabian-affolter.ch> - 36.0-1
- Update to latest upstream release 36.0 (closes rhbz#2116142)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 35.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 29 2022 Lumir Balhar <lbalhar@redhat.com> - 35.0-1
- Update to 35.0

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 34.0-2
- Rebuilt for Python 3.11

* Fri Mar 25 2022 Fabian Affolter <mail@fabian-affolter.ch> - 34.0-1
- Update to latest upstream release 34.0 (closes rhbz#2063833)

* Tue Mar 08 2022 Fabian Affolter <mail@fabian-affolter.ch> - 33.0-1
- Update to latest upstream release 33.0 (closes rhbz#2061135)

* Wed Feb 23 2022 Fabian Affolter <mail@fabian-affolter.ch> - 32.0-1
- Update to latest upstream release 32.0 (closes rhbz#1932102)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 29.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 29.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 29.0-2
- Rebuilt for Python 3.10

* Wed Feb 24 2021 Fabian Affolter <mail@fabian-affolter.ch> - 29.0-1
- * Wed Feb 24 2021 Fabian Affolter <mail@fabian-affolter.ch> - 29.0-1 -
  Update to latest upstream release 29.0 (#1932102)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 28.0-1
- * Thu Oct 22 2020 Fabian Affolter <mail@fabian-affolter.ch> - 28.0-1 -
  Update to latest upstream release 28.0 (#1887015)

* Sun Oct 11 2020 Fabian Affolter <mail@fabian-affolter.ch> - 27.0-2
- Exclude failing tests

* Sun Oct 11 2020 Fabian Affolter <mail@fabian-affolter.ch> - 27.0-1
- * Sun Oct 11 2020 Fabian Affolter <mail@fabian-affolter.ch> - 27.0-1 -
  Update to latest upstream release 27.0 (#1813626)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 26.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 26.0-4
- Rebuilt for Python 3.9

* Mon May 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 26.0-3
- Update release

* Mon May 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 26.0-2
- * Mon May 18 2020 Fabian Affolter <mail@fabian-affolter.ch> - 26.0-2 -
  Fix naming (rhbz#1834176)

* Thu Apr 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 26.0-1
- * Thu Apr 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 26.0-1 -
  Update to latest upstream release 26.0 (rhbz#1813626)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 24.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 24.0-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 24.0-5
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 24.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 24.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Dec 07 2018 Randy Barlow <randy@electronsweatshop.com> - 24.0-2
- the commit of shame.

* Fri Dec 07 2018 Randy Barlow <randy@electronsweatshop.com> - 24.0-1
- Initial import (#1656628).
## END: Generated by rpmautospec
